Subject: [rddp] CRC coverage (B) consensus call

From: [email-masked]
Date: Tue, 10 Jun 2003 10:22:18 -0400

Caitlin Bestler recently wrote:

  The idea of shortening the CRC to cover only the header,
  as opposed to omitting it, was rejected because we 
  considered it inappropriate for MPA to know how long
  the RDMAP/DDP Header was.

That was a statement of the design rationale for MPA.
However, it's strongly related to open issue (B) on
which I could not call consensus previously:

(B) CRC usage is all-or-nothing on header and data.
	There is no requirement for CRC on header but
	not on data or CRC on data but not on header.

Based on subsequent email discussion, I believe that
RDDP WG rough consensus now exists for (B).  I'm calling
this consensus over Somesh Gupta's objections; anyone
else who objects should post to the mailing list.

Thanks,
--David

----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------
_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp